<template>
  <!-- 添加港口信息 -->
  <div class="addWagonLoad">
    <PageTitle>返回</PageTitle>
    <div class="form-box">
      <dil-form :formId="382" v-model="form1" ref="from1"></dil-form>
    </div>
    <div class="button-box">
      <el-button @click="cancel">取消</el-button>
      <el-button type="primary" @click="makeSure">确定</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";
export default {
  components: { PageTitle },
  data() {
    return {
      form1: {}
    };
  },
  mounted() {},
  methods: {
    makeSure() {
      console.log(this.form1);
      this.axios
        .post("/api/v1/rms/insertMaterialType", this.form1)
        .then(res => {
          if (res.data.code == 0) {
            this.$message.success("新增成功");
            this.$router.go(-1);
          } else {
            this.$message.warning("请重试！");
            this.$router.go(0);
          }
        });
    },
    // 取消
    cancel() {
      this.$router.go(-1);
    }
  }
};
</script>
<style lang="scss">
.button-box {
  display: flex;
  justify-content: center;
  .el-button {
    width: 80px;
    margin-right: 10px;
  }
}
.form-box {
  display: flex;
  justify-content: center;
  .el-form-item {
    display: flex;
    justify-content: center;
    .el-form-item__label {
      display: flex;
      align-items: center;
    }
    .el-form-item__content {
      .el-input {
        .el-input__inner {
          width: 250px;
        }
      }
    }
  }
}
</style>
